# GimpUi.Browser

    const GimpUi = imports.gi.GimpUi;

    let browser = new GimpUi.Browser();

A base class for a documentation browser.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Paned
          - GimpUi.Browser

## Constructors

- GimpUi.Browser.new

## Methods

- GimpUi.Browser.prototype.get_left_vbox
- GimpUi.Browser.prototype.get_right_vbox
- GimpUi.Browser.prototype.set_search_summary
- GimpUi.Browser.prototype.set_widget
- GimpUi.Browser.prototype.show_message

## Signals

- search